<?//Con esto controlamos que esta logueado el usuario, añadido un pq token de seguridad.
	session_start();
	if ($_SESSION['Usuario_inc'] == '' ){header("Location: index.html");}
	if ($_REQUEST['token'] <> $_SESSION['token_inc']){header("Location: index.html");}
	$token=$_REQUEST['token'];
	$user=$_SESSION['Usuario_inc'];
	$offset=0;
	if (isset($_GET['offset'])){$offset=$_GET['offset'];}
	$filtro_offset= $offset * 20;
	function detect_mobile()
	{
		if(preg_match('/(alcatel|amoi|android|avantgo|blackberry|benq|cell|cricket|docomo|elaine|htc|iemobile|iphone|ipad|ipaq|ipod|j2me|java|midp|mini|mmp|mobi|motorola|nec-|nokia|palm|panasonic|philips|phone|playbook|sagem|sharp|sie-|silk|smartphone|sony|symbian|t-mobile|telus|up\.browser|up\.link|vodafone|wap|webos|wireless|xda|xoom|zte)/i', $_SERVER['HTTP_USER_AGENT']))
			return true;
	 
		else
			return false;
	}
	$mobile = detect_mobile();
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>Clarosol</title>
	<meta http-equiv="cache-control" content="max-age=0" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
<meta http-equiv="pragma" content="no-cache" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=3.0">
  <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<script src="./funciones.js" language="javascript" type="text/javascript"></script>
	<script src="jquery-1.11.0.min.js" language="javascript" type="text/javascript"></script>
	<script src="jquery.mobile-1.4.2.min.js"  language="javascript" type="text/javascript"></script>
	<script src="jquery-ui.min.js"  language="javascript" type="text/javascript"></script>
	<link rel="stylesheet" href="jquery-ui.css">	
	<link rel="stylesheet" type="text/css" href="jquery.mobile-1.4.2.min.css" />
	<link rel="apple-touch-icon" href="/icon.png"><link rel="apple-touch-startup-image" href="/Default.png">
</head>
<body>
	<div>
		<?
			if($mobile === true){
				echo '<ul data-role="listview" data-divider-theme="b" data-inset="true">';
			}else{
				echo '<ul data-role="listview" data-divider-theme="b" data-inset="true" style="width:50%; margin-left:25%">';
			};
		?>
            <li data-role="list-divider" role="heading" style="height:50px; font-size: 18px">
				<p>VISITAS REGISTRADAS
					<a href="menu.php?token=<?echo $token;?>" style="margin-left:7%">
						<img src="icon_home.png" style="left:90%; width: 30px; height:30px"/>
					</a>
					<a href="index.php" style="margin-left:3%">
						<img src="icon_exit.png" style="left:90%; width: 30px; height:30px"/>
					</a>
				</p>
			</li>
			<li>
				<p>
					<? if ($offset > 0){
							echo '<a href="ver.php?token='.$token.'&offset='.($offset-1).'" style="margin-left:3%">';
								echo 'Anteriores 20';
								echo '<img src="flecha_atras.png" style="left:90%; width: 30px; height:30px"/>';
								
							echo '</a>';
						};
						echo '<a href="ver.php?token='.$token.'&offset='.($offset+1).'" style="margin-left:10%">';
							echo 'Siguientes 20';
							echo '<img src="flecha_adelante.png" style="left:90%; width: 30px; height:30px"/>';
							
						echo '</a>';
					?>
				</p>
			</li>
			<?	// creamos una conexión a la base de datos(
				$Conn=sqlite_open("secon.db");
				// ejecución de consulta de selección
				$Ssql = "SELECT permisos FROM usuarios WHERE usuario ='".$user."'";
				$result= sqlite_query($Conn, $Ssql);
				$rows = sqlite_fetch_all($result, SQLITE_ASSOC);
				foreach ($rows as $row) {
					$permiso = $row['permisos'];
				}
				sqlite_close($Conn) ;
				$auxpermiso = split(',',$permiso);
				$permisos = "";
				foreach ($auxpermiso as $per) {
					if ($permisos==""){
						$permisos = "'".$per."'";
					}else{
						$permisos = $permisos.",'".$per."'";
					}					
				}
				$Conn= sqlite_open("secon.db");
			
				$Ssql = "SELECT * FROM SUPERV WHERE superv IN(".$permisos.") ORDER BY fecha DESC LIMIT 20 OFFSET ".$filtro_offset;
			
				$result= sqlite_query($Conn, $Ssql);
				$rows = sqlite_fetch_all($result, SQLITE_ASSOC);
				foreach ($rows as $row) {
					$superv = $row['superv'];
					$nombre = $row['nombre'];
					$fecha = $row['fecha'];
					$cliente = $row['cliente'];
					$centro = $row['centro'];
					$persona = $row['persona'];
					$observ = $row['observaciones'];
					$actuacion = "";
					if ( $row['reparto'] == "on" ){
						$actuacion = $actuacion."Entrega pedido";
					};
					if ( $row['visita_trab'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Visita de trabajadores";
						}else{
							$actuacion = $actuacion.", Visita de trabajadores";
						}						
					};
					if ( $row['visita_cli'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Visita de clientes";
						}else{
							$actuacion = $actuacion.", Visita de clientes";
						}						
					};
					if ( $row['limpieza'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Trabajos especiales";
						}else{
							$actuacion = $actuacion.", Trabajos especiales";
						}						
					};
					if ( $row['entrega'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Entrega de documentacion";
						}else{
							$actuacion = $actuacion.", Entrega de documentacion";
						}						
					};
					
					if ( $row['presupuestar'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Presupuestar";
						}else{
							$actuacion = $actuacion.", Presupuestar";
						}						
					};
					if ( $row['incidencia'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Incidencia tecnica";
						}else{
							$actuacion = $actuacion.", Incidencia tecnica";
						}						
					};
					if ( $row['verif_trabajo'] == "on" ){
						if ($actuacion == ""){
							$actuacion = $actuacion."Verificacion trabajos";
						}else{
							$actuacion = $actuacion.", Verificacion trabajos";
						}						
					};
					
					echo "<li>";
						echo "<b>Supervisor:</b>&nbsp;".$nombre."<br>";
						echo "<b>Fecha:</b>&nbsp;".$fecha."<br>";
						echo "<b>Cliente:</b>&nbsp;".$cliente."<br>";
						echo "<b>Centro:</b>&nbsp;".$centro."<br>";
						echo "<b>Persona Visitada:</b>&nbsp;".$persona."<br>";
						echo "<b>Observaciones:</b>&nbsp;".$observ."<br>";
						echo "<b>Actuacion:</b>&nbsp;".$actuacion."<br>";
						echo "<form id='borrarform' action=reg.php method=post>";
							echo "<input id='id' name='id' type='hidden' value='".$row['id']."' />";
							echo "<input id='superv' name='superv' type='hidden' value='".$superv."' />";
							echo "<input id='nombre' name='nombre' type='hidden' value='".$nombre."' />";
							echo "<input id='fecha' name='fecha' type='hidden' value='".$fecha."' />";
							echo "<input id='cliente' name='cliente' type='hidden' value='".$cliente."' />";
							echo "<input id='persona' name='persona' type='hidden' value='".$persona."' />";
							echo "<input id='observ' name='observ' type='hidden' value='".$observ."' />";
							echo "<input id='centro' name='centro' type='hidden' value='".$centro."' />";
							echo "<input id='reparto' name='reparto' type='hidden' value='".$row['reparto']."' />";
							echo "<input id='visita_trab' name='visita_trab' type='hidden' value='".$row['visita_trab']."' />";
							echo "<input id='visita_cli' name='visita_cli' type='hidden' value='".$row['visita_cli']."' />";
							echo "<input id='limpieza' name='limpieza' type='hidden' value='".$row['limpieza']."' />";
							echo "<input id='entrega' name='entrega' type='hidden' value='".$row['entrega']."' />";
							echo "<input id='presupuestar' name='presupuestar' type='hidden' value='".$row['presupuestar']."' />";
							echo "<input id='incidencia' name='incidencia' type='hidden' value='".$row['incidencia']."' />";
							echo "<input id='verif_trabajo' name='verif_trabajo' type='hidden' value='".$row['verif_trabajo']."' />";
							echo "<input id='token' name='token' type='hidden' value='".$token."' />";
							echo "<input id='borrar' name='borrar' type='hidden' value='1' />";
						echo "</form>";
						echo "<form action=registro.php method=get>";
							echo "<input id='id' name='id' type='hidden' value='".$row['id']."' />";
							echo "<input id='superv' name='superv' type='hidden' value='".$superv."' />";
							echo "<input id='nombre' name='nombre' type='hidden' value='".$nombre."' />";
							echo "<input id='fecha' name='fecha' type='hidden' value='".$fecha."' />";
							echo "<input id='cliente' name='cliente' type='hidden' value='".$cliente."' />";
							echo "<input id='persona' name='persona' type='hidden' value='".$persona."' />";
							echo "<input id='observ' name='observ' type='hidden' value='".$observ."' />";
							echo "<input id='centro' name='centro' type='hidden' value='".$centro."' />";
							echo "<input id='reparto' name='reparto' type='hidden' value='".$row['reparto']."' />";
							echo "<input id='visita_trab' name='visita_trab' type='hidden' value='".$row['visita_trab']."' />";
							echo "<input id='visita_cli' name='visita_cli' type='hidden' value='".$row['visita_cli']."' />";
							echo "<input id='limpieza' name='limpieza' type='hidden' value='".$row['limpieza']."' />";
							echo "<input id='entrega' name='entrega' type='hidden' value='".$row['entrega']."' />";
							echo "<input id='presupuestar' name='presupuestar' type='hidden' value='".$row['presupuestar']."' />";
							echo "<input id='incidencia' name='incidencia' type='hidden' value='".$row['incidencia']."' />";
							echo "<input id='verif_trabajo' name='verif_trabajo' type='hidden' value='".$row['verif_trabajo']."' />";
							echo "<input id='token' name='token' type='hidden' value='".$token."' />";
							echo "<input type=submit border=0 value=' Modificar ' />";
							//echo '<input id="btnborrar" name="btnborrar" type="button" onclick="confirmarBorrar()" value=" Borrar " />';
						echo "</form>";
						
					echo "</li>";
				}
				sqlite_close($Conn);
			?>
			<li>
				<p>
					<? if ($offset > 0){
							echo '<a href="ver.php?token='.$token.'&offset='.($offset-1).'" style="margin-left:3%">';
								echo 'Anteriores 20';
								echo '<img src="flecha_atras.png" style="left:90%; width: 30px; height:30px"/>';
								
							echo '</a>';
						};
						echo '<a href="ver.php?token='.$token.'&offset='.($offset+1).'" style="margin-left:10%">';
							echo 'Siguientes 20';
							echo '<img src="flecha_adelante.png" style="left:90%; width: 30px; height:30px"/>';
							
						echo '</a>';
					?>
				</p>
			</li>
		</ul>
	</div>
	<script src="./funciones.js" language="javascript" type="text/javascript"></script>
</body>
</html>